;________________________________________________________________________
;
;                           O P T I O N S . A S M
;________________________________________________________________________
;
; M918_PIC user options - by Max IK3SVW - June 2001
; Based on original u2k package by Byon Garrabrant, N6BG
;________________________________________________________________________
;
#define	OPT_AUTO_TX_DELAY	D'0'
#define	OPT_WX_BEACON_RATE	D'1'
#define	OPT_STATUS_RATE		D'2'
#define	OPT_WX_ALERT		D'3'
#define	OPT_WX_BEACON_OFFSET	D'4'
#define OPT_STAT_STRING_OFFSET	D'5'
#define OPT_BARO0_OFFSET	D'6'
#define OPT_BARO1_OFFSET	D'7'
#define OPT_BARO2_OFFSET	D'8'
#define OPT_BARO3_OFFSET	D'9'
#define	OPT_CALLSIGN_DIGI	D'10'
;________________________________________________________________________

Get_Option
	addwf	PCL, F

Option_Start

;	If you wish modify the 4 general settings values below
	dt	D'60'	; Tx-Delay flags (TXD) 3 flags = 10 ms
	dt	D'10'	; Wx beacon every n minutes
	dt	D'20'	; Status beacon every n minutes
	dt	D'0'	; 1=bcn if rain var. 2=bcn if baro var. 3=both 0=none

	dt	Wx_Beacon_Header - Option_Start ; wx beacon offset
	dt	Status_String -	Option_Start	; status string offset
	dt	Baro_Sunny  -	Option_Start	; sunny  label offset
	dt	Baro_Cloudy -	Option_Start	; cloudy label offset
	dt	Baro_Partly -	Option_Start	; partly label offset
	dt	Baro_Rain   -	Option_Start	; rain   label offset

;	Please change data below with your callsign, dest and digi(s)
	dt	"APEWX ", D'0' + H'30'	; Destination APE indicates Pic-E.
	dt	"NOCALL", D'0' + H'30'	; Callsign and ssid
	dt	"WIDE  ", D'0' + H'30'	; Digi and ssid
	dt	"WIDE  ", D'0' + H'30'	; Digi and ssid
;	dt	"WIDE  ", D'0' + H'30'	; Digi and ssid
;	dt	"WIDE  ", D'0' + H'30'	; Digi and ssid
	dt	0

;	Please change lat/lon in wx beacon header with your lat/lon position.
Wx_Beacon_Header
	dt	"=0000.00N/00000.00E_"	; Wx station simbol must be included.
	dt 	0

;	If you wish change the status string below.
Status_String
	dt	" WM-918 Pic-E stand alone Wx Station"
	dt 	0

;	Barometer prediction labels. If you wish change with your language.
Baro_Sunny
	dt	"Sunny"
	dt 	0			
Baro_Cloudy
	dt	"Cloudy"
	dt 	0			
Baro_Partly
 	dt	"Partly"
	dt 	0		
Baro_Rain
	dt	"Rain"
	dt 	0		